﻿@model IcoStarter.ViewModels.Project.DetailsViewModel

@{
    ViewData["Title"] = Model.Name;

    int raisedPercentage = (int)(((double)Model.Raised / (double)Model.Target) * 100.0);

    if(raisedPercentage < 0)
    {
        raisedPercentage = 0;
    }

    if(raisedPercentage > 100)
    {
        raisedPercentage = 100;
    }

    var bannerUri = $"https://s3.us-east-2.amazonaws.com/lpad-assets/{Model.ShortName}_banner";
}

@section AboveContainer {
    <div class="jumbotron campaignHeading" style="background-image: url('@bannerUri');">
        <div class="container">
            <div class="row">
                <div class="col-md-12 text-center">
                    <h1 class="display-4">@Model.Name</h1>
                    <p class="lead">@Model.Description</p>
                </div>
            </div>
        </div>
    </div>
}

<div class="row">
    <div class="col-md-8 text-justify">
        <div class="row">
            <div class="col-md-12">
                <h2 class="sectionHeading">Description</h2>
                <p>@Html.Raw(Model.Content)</p>
            </div>
        </div>
        <!--<div class="row">
            <div class="col-md-12">
                <h2 class="sectionHeading">Goals</h2>
                <small>No funds will be released until the goals are met (as voted by contributors)</small>
                <ul class="list-group mt-2">
                        <li class="list-group-item flex-column align-items-start">
                            <div class="d-flex w-100 justify-content-between">
                                <h5 class="mb-1">goal.Name</h5>
                            </div>
                            <p class="mb-1">goal.Description</p>
                            <p class="mb-1"><small>Target Date: goal.TargetDate.ToShortDateString()</small></p>
                        </li
                </ul>
            </div>
        </div>-->
    </div>
    <div class="col-md-4">
        <div class="row mb-2">
            <div class="col-md-12">
                <div class="progress">
                    <div class="progress-bar" role="progressbar" style="width: @raisedPercentage%" aria-valuenow="@raisedPercentage" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
            </div>
        </div>
        <div class="row text-primary">
            <div class="col-md-12">
                <h4>@string.Format("{0:#,##0}", Model.Raised) XLM funded</h4>
            </div>
        </div>
        <div class="row text-muted">
            <div class="col-md-12">
                <h5>@raisedPercentage% of @string.Format("{0:#,##0}", Model.Target) XLM target</h5>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <h4><b>@Model.Contributors</b> supporters</h4>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                @if (Model.TimeRemainingAmount == 0)
                {
                    <h4>Campaign finished</h4>
                    <h4>End @Model.EndTime.ToString("d MMM yyyy")</h4>
                }
                else
                {
                    <h4><b>@Model.TimeRemainingAmount @Model.TimeRemainingUnits.ToLower() remaining</b></h4>
                    <h4>Ends @Model.EndTime.ToString("d MMM yyyy")</h4>
                }
            </div>
        </div>
        <div class="row mt-4">
            <div class="col-md-12">
                <h2 class="sectionHeading">Contribute</h2>
            </div>
        </div>
        @if(Model.UserMemo != null) 
        {
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div>
                            It is important to include this memo in your payment or it may not be processed properly.
                        </div>
                        <div class="publicKey text-center mt-3">
                            <strong>Memo</strong> @Model.UserMemo
                        </div>
                        <div class="publicKey text-center mt-3">
                            <strong>Account</strong><br/>
                            @Model.AccountPublicKey.Substring(0, 28)<br />
                            @Model.AccountPublicKey.Substring(28)<br />
                            <img src="https://chart.googleapis.com/chart?cht=qr&chs=250x250&chl=@Model.AccountPublicKey&chld=L|0" class="mt-3" />
                        </div>
                    </div>
                </div>
            </div>
        </div>
        }
        else
        {
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div>
                            Please log in or create an account to contribute to this campaign!
                        </div>
                    </div>
                </div>
            </div>
        </div>
        }
    </div>
</div>
